Subject: Re: How do I .gitignore files starting with "#"?

From: Jakub Narebski <[email-masked]>
Date: Fri, 10 Sep 2010 21:41:29 +0200

Bruce Korb wrote:
> On Fri, Sep 10, 2010 at 11:59 AM, Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
>> On Fri, Sep 10, 2010 at 18:52, Jakub Narebski <[email-masked]> wrote:
>>> Bruce Korb <[email-masked]> writes:
>>>
>>>> After trying lots of variations, I found it to be:
>>>>
>>>> \#*
>>>>
>>>> Not obvious and not easy to look up.  Please add it to your
>>>> .git/info/exclude sample text.  Thanks!
>>>
>>> Well, it is quite obvious to me, as escaping special characters using
>>> backslash is typical in Unix tools.
> 
> Like cscope, for example?
> 
>   "#what ever"
> 
> Others use:
> 
>    ./#whatever

Actually "/#whatever" would also work, but it would have different meaning,
anchoring filename so only files in given directory matches.

> 
> /etc/fstab requires \octal escapes, and not \xFF.

They are not escapes, but quoting of metacharacters (special characters).

> 
> There are many unix standards to choose from, hence my suggestion. :)
> That backslashes are sometimes used meant I found it before  pressing
> "send".

:-)

-- 
Jakub Narebski
Poland